/**
 * ADMEFINE METRIKA
 * 2023
 * 0.0.1
 */

import { getUrl, getQuery, initUTM } from "@/modules/url.module";
import { sendLead } from "./modules/api.module";

interface IInitProps {
  isLoadForm: boolean;
  formSuccessPopupText: string;
}


const init = (props: IInitProps) => {
  // init utm
  initUTM();
}

window.AMF_METRIKA = window.AMF_METRIKA || {};
window.AMF_METRIKA = {
  init,
  methods: {
    sendLead,
  }
};